---
title: "push"
excerpt: "Append an element to the end of an array."
layout: manual
---

Append an element to the end of an array.

Returns a new array with the element appended.

```js
push(array: [KclValue], elem: KclValue) -> KclValue
```


### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `array` | [`[KclValue]`](/docs/kcl/types/KclValue) |  | Yes |
| `elem` | [`KclValue`](/docs/kcl/types/KclValue) | Any KCL value. | Yes |

### Returns

[`KclValue`](/docs/kcl/types/KclValue) - Any KCL value.


### Examples

```js
arr = [1, 2, 3]
new_arr = push(arr, 4)
assertEqual(new_arr[3], 4, 0.00001, "4 was added to the end of the array")
```

![Rendered example of push 0](data:image/png;base64,[encoded data, 26204 characters])


